Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.configuration
Class ExternalDataAccessDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wms.configuration.ExternalDataAccessDataSource

    public class ExternalDataAccessDataSource

extends AbstractDataSource

The `` class TODO add class documentation here.

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: Andreas Poth $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`DATABASE, EXTERNALDATAACCESS, LOCALWCS, LOCALWFS, ows, REMOTEWCS, REMOTEWFS, REMOTEWMS`

Constructor Summary
`ExternalDataAccessDataSource(boolean queryable, boolean failOnException, QualifiedName name, ScaleHint scaleHint, Geometry validArea, int reqTimeLimit, ExternalDataAccess externalDataAccess)`

Method Summary
`ExternalDataAccess` | `getExternalDataAccess()`
`OGCWebService` | `getOGCWebService()`

Methods inherited from class org.deegree.ogcwebservices.wms.configuration.AbstractDataSource
`getCapabilitiesURL, getDimProps, getFeatureInfoTransform, getFeatureInfoURL, getName, getRequestTimeLimit, getScaleHint, getType, getValidArea, isFailOnException, isQueryable, setFeatureInfoURL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalDataAccessDataSource

    public ExternalDataAccessDataSource(boolean queryable,
                                        boolean failOnException,
                                        QualifiedName name,
                                        ScaleHint scaleHint,
                                        Geometry validArea,
                                        int reqTimeLimit,
                                        ExternalDataAccess externalDataAccess)

Parameters:
  `queryable` -
  `failOnException` -
  `name` -
  `scaleHint` -
  `validArea` -
  `reqTimeLimit` -
  `externalDataAccess` -

Method Detail

### getOGCWebService

    public OGCWebService getOGCWebService()
                                   throws OGCWebServiceException

  Specified by:
    `getOGCWebService` in class `AbstractDataSource`
  Returns:
    an instance of the `OGCWebService` that represents the datasource. Notice: if more than one layer uses data that are offered by the same OWS the deegree WMS shall just use one instance for accessing the OWS
  Throws:
    `OGCWebServiceException`

### getExternalDataAccess

    public ExternalDataAccess getExternalDataAccess()

  Returns:
    instance of class for accessing a data source not known by deegree WMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org